<?php
$this->PageTitle = 'bancos';

$this->menu = array(
	array('label'=>FaHtml::iconNovo(), 'url'=>array('create')),
	array('label'=>FaHtml::iconSetaClose(), 'url'=>'#', 'linkOptions'=>array('class' => 'search-button')),
	array('label' => FaHtml::iconRefresh(), 'url' => 'javascript:void(0);', 'linkOptions' => array('onclick' => 'reloadFrame();', 'class' => 'refresh-button')),
);
?>

<?php
$dataProvider = $model->search();
?>
<div class="search-form" <?php if($dataProvider->totalItemCount > 0) echo 'style="display: none;"'; ?> >
<?php $this->renderPartial('_search', array(
	'model' => $model,
)); ?>
</div><!-- search-form -->

<?php $this->widget('ext.Utils.widgets.CrmGridView', array(
	'id' => 'admin-grid',
	'dataProvider' => $dataProvider,
	'afterAjaxUpdate'=>'updated',
	'pager' => Util::getPagerDefaultConfig(),
	'columns' => array(
		'BAN_IDBANCO',
		'BAN_DESCRICAO',
		'BAN_CODBAN',
		'BAN_CEDENTE',
		'BAN_AGENCIA',
		'BAN_DVAGENCIA',
		array(
			'class' => 'CButtonColumn',
		),
	),
));